Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.storage.clips
Class InstanceStorer

    java.lang.Object
      edu.stanford.smi.protege.storage.clips.ClipsFileWriter
          edu.stanford.smi.protege.storage.clips.InstanceStorer

    public class InstanceStorer

extends ClipsFileWriter

The class knows how to write out knowledge base instances in clips file format. Note that classes which contain own slots other than the standard ones are also written out in this file. The instance name is that same as the class name, and these are paired up when the files are parsed.

Author:
  Ray Fergerson

Constructor Summary
`InstanceStorer(Writer writer)`

Method Summary
`protected boolean` | `isStorableInstance(Instance instance)`
`protected boolean` | `isStorableSlot(Instance instance, Slot slot)`
`void` | `storeInstances(KnowledgeBase kb, Collection errors)`

Methods inherited from class edu.stanford.smi.protege.storage.clips.ClipsFileWriter
`equals, flush, print, print, printFrame, printFrameName, println, println, printSucceeded, toExternalFrameName, toExternalFrameName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceStorer

    public InstanceStorer(Writer writer)

Method Detail

### isStorableInstance

    protected boolean isStorableInstance(Instance instance)

### isStorableSlot

    protected boolean isStorableSlot(Instance instance,
                                     Slot slot)

### storeInstances

    public void storeInstances(KnowledgeBase kb,
                               Collection errors)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.